import { Injector, TemplateRef, InjectionToken } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { ComponentType } from '@angular/cdk/portal';
import { AngularModalPopup } from './modal-popup.component';
import { Options } from './modal-options';
import * as i0 from "@angular/core";
export declare const DATA_MODAL_DIALOG_DATA: InjectionToken<any>;
export declare class ModalService {
    private overlay;
    private injector;
    private overlayRef;
    private componentRef;
    RAMDOM_ID: number;
    private modalOpenSubject;
    modalOpen$: import("rxjs").Observable<boolean>;
    constructor(overlay: Overlay, injector: Injector);
    open<T>(component: ComponentType<T> | TemplateRef<any>, options: Options): AngularModalPopup;
    close(RAMDOM_ID: number): void;
    randomAlphaNumeric: (length: number) => number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
