import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FormControllerService } from './form.service';
import { ReactiveJsonFormsService } from '../../service/Reactive-Json-Forms-Validator.service';
import * as i0 from "@angular/core";
export declare class FormControllerComponent implements OnInit, OnChanges {
    formService: FormControllerService;
    validator: ReactiveJsonFormsService;
    stepForm: FormGroup;
    activeStep$: number;
    onSubmit: EventEmitter<any>;
    onSubmitArray: EventEmitter<any>;
    onSubmitFull: EventEmitter<any>;
    OnChangesToggleEvent: EventEmitter<any>;
    NextEvent: EventEmitter<any>;
    BackEvent: EventEmitter<any>;
    ref: EventEmitter<any>;
    id: string;
    ButtonName: string;
    item: {
        FORM_CREATE_LIST: Array<any>;
        FORM_LIST: any;
        StepItem: {
            step: number;
            description: string;
        }[];
        TitleDescription: {
            Title: string;
            description: string;
        }[];
    };
    STORE_MULTI_FORM_VALUE: any;
    bootstraptoasts: any;
    constructor(formService: FormControllerService, validator: ReactiveJsonFormsService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    confirmAndSubmitForm(value: any): void;
    get getmultiStepFormList(): FormGroup<any>[];
    getStatus(item: any, i: any): boolean;
    get ResetForm(): boolean;
    getFormData(): void;
    ERROR_STATUS: boolean;
    allErrors: Array<any>;
    getAllFormErrors(): any[];
    OnChangesToggle(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControllerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormControllerComponent, "progress-form", never, { "id": { "alias": "id"; "required": false; }; "ButtonName": { "alias": "ButtonName"; "required": false; }; "item": { "alias": "item"; "required": false; }; }, { "onSubmit": "onSubmit"; "onSubmitArray": "onSubmitArray"; "onSubmitFull": "onSubmitFull"; "OnChangesToggleEvent": "OnChangesToggleEvent"; "NextEvent": "NextEvent"; "BackEvent": "BackEvent"; "ref": "ref"; }, never, ["*"], false, never>;
}
