import { FormBuilder, FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FormControllerService {
    fb: FormBuilder;
    activeStepSubject: BehaviorSubject<number>;
    activeStep$: import("rxjs").Observable<number>;
    multiStepForm: FormGroup;
    multiStepFormList: FormGroup[];
    FORM_CREATE_LIST: any;
    FORM_CREATE_BOOLEAN: boolean;
    stepDetails: {
        step: number;
        description: string;
    }[];
    TitleDescription: {
        Title: string;
        description: string;
        condition: boolean;
        Style: string;
        show: boolean;
    }[];
    TitleDescriptionId: {
        Title: string;
        description: string;
        condition: boolean;
        Style: string;
    }[];
    get stepForm(): FormGroup;
    constructor(fb: FormBuilder);
    goToNextStep(number: number): void;
    goBackToPreviousStep(number: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormControllerService>;
}
